import { useState, useEffect } from "react";
import { Flex, Input, Drawer, DrawerOverlay, DrawerContent, DrawerCloseButton, DrawerHeader, DrawerBody, Button, VisuallyHidden, Box } from "@chakra-ui/react";
import { HamburgerIcon } from "@chakra-ui/icons";
import MobileNavigation from "./navigation";
const links = [
  {
    title: "Category 1",
    items: [
      { label: "Item 1", href: "/category1/item1" },
      { label: "Item 2", href: "/category1/item2" },
    ],
  },
  {
    title: "Category 2",
    items: [
      { label: "Item 1", href: "/category2/item1" },
      { label: "Item 2", href: "/category2/item2" },
    ],
  },
  // Add more categories as needed
];

const MobileSearchComponent = () => {
  const [isSearchDrawerOpen, setSearchDrawerOpen] = useState<boolean>(false);
  const [searchTerm, setSearchTerm] = useState("");

  const handleSearch = (query: string) => {
    // Implement your search logic here
    // For simplicity, this example uses a static array as search results
    const results = ["Apple", "Banana", "Cherry", "Date"].filter((item) => item.toLowerCase().includes(query.toLowerCase()));

    // Log or handle search results
  };

  const toggleSearchDrawer = () => {
    setSearchDrawerOpen(!isSearchDrawerOpen);
  };

  const handleSearchSubmit = () => {
    handleSearch(searchTerm);
    setSearchDrawerOpen(false);
  };

  return (
    <>
      <Button onClick={toggleSearchDrawer} type="button" bg={"primary.100"} colorScheme={"primary"} borderRadius="md" p={2} display="inline-flex" color="primary.700">
        <VisuallyHidden>Open menu</VisuallyHidden>
        <Box as={HamburgerIcon} w={6} h={6} aria-hidden="true" />
      </Button>

      <Drawer isOpen={isSearchDrawerOpen} onClose={toggleSearchDrawer} size="full">
        <DrawerOverlay />
        <DrawerContent>
          <DrawerCloseButton color="codGray.500" />
          <DrawerHeader>Search</DrawerHeader>
          <DrawerBody>
            <MobileNavigation links={links} />
          </DrawerBody>
        </DrawerContent>
      </Drawer>
    </>
  );
};

export default MobileSearchComponent;
